[Version]
Signature = "$CHICAGO$"
DEVTYPE_INI_FILE = 1

[FLAGS]
CTY_PARMS = 0

[Manufacturer]
Conexant = Conexant

[Conexant]
Conexant = HdAud2072xISST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8146 
Conexant = HdAud2072xISST, INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8199 
Conexant = HdAud2072x2ISST,INTELAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8174 
Conexant = HdAud2072x2,    HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C8174
;Conexant = ASR, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C804E    
;Conexant = ASR, HDAUDIO\FUNC_01&VEN_14F1&DEV_50F4&SUBSYS_103C804F    
;; Move in INF
;Conexant = ASR, HDAUDIO\FUNC_01&VEN_14F1&DEV_2008&SUBSYS_103C81AA    
;Conexant = ASR, HDAUDIO\FUNC_01&VEN_14F1&DEV_2008&SUBSYS_103C81AB    
;Conexant = ASR, HDAUDIO\FUNC_01&VEN_14F1&DEV_2008&SUBSYS_103C81AC   
;Conexant = ASR, HDAUDIO\FUNC_01&VEN_14F1&DEV_2008&SUBSYS_103C81AD    

;;Consumer Neptune Convertible NB (Move to INF)
;Conexant = HdAud2072x_AS2, HDAUDIO\FUNC_01&VEN_14F1&DEV_2008&SUBSYS_103C81AA
;Conexant = HdAud2072x_AS2, HDAUDIO\FUNC_01&VEN_14F1&DEV_2008&SUBSYS_103C81AB
;Conexant = HdAud2072x_AS2, HDAUDIO\FUNC_01&VEN_14F1&DEV_2008&SUBSYS_103C81AC
;Conexant = HdAud2072x_AS2, HDAUDIO\FUNC_01&VEN_14F1&DEV_2008&SUBSYS_103C81AD
;Conexant = HdAud2072x_AS2, HDAUDIO\FUNC_01&VEN_14F1&DEV_2008&SUBSYS_103C8174

[HdAud2072x2]
;;Move To INF
;;AddReg = Init2.AddReg
;;AddRegWaveRT = WaveRTMIC

[HdAud2072xISST]
AddReg = Init3.AddReg

[HdAud2072x2ISST]
AddReg = Init2.AddReg

[HdAud2072x_AS2]
AddRegWaveRT = WaveRTMIC_CAF

[Init2.AddReg]
HKR,Settings\OEM,SyncI2SOutWithSPK,1,01,00,00,00

[Init3.AddReg]
HKR,Settings\OEM,SyncI2SOutWithSPK,1,01,00,00,00
HKR,Settings\OEM,Flags6,1,00,0A,00,00 ;;Enable GPIO5 Docking Power control

[ASR]
AddRegWaveRT = WaveRTMIC

[WaveRTMIC]
%Capture_AudioEndpoint_Flag%, %PKEY_Endpoint_ID%, %REG_QUALIFIER%, 0x0030
%Capture_Endpoint_Flag%,"{0C709614-E770-0001-4000-018664542698},2001", %REG_DWORD%, 0x0001   ; Enable ASR Mode
%Capture_Endpoint_Flag%,"{0C709614-E770-0001-4000-018664542698},3000", %REG_DWORD%, 0x0008   ; Enable ASR Mode
;;%Capture_Endpoint_Flag%,"{0C709614-E770-0001-4000-018664542698},2011", %REG_DWORD%, 0x0000   ; Hw loopback function disabled

[WaveRTMIC_CAF]
%Capture_AudioEndpoint_Flag%, %PKEY_Endpoint_ID%, %REG_QUALIFIER%, 0x0030
%Capture_Endpoint_Flag%,"{FE710D99-0EE4-4A3E-A109-7993BF8D6CCD},100", %REG_DWORD%, 0x0003   ; Conference mode
%Capture_Endpoint_Flag%,"{0C709614-E770-0001-4000-018664542698},3000",%REG_DWORD%, 0x0002   ; Enable MULTIPLE_VOICE Mode

[Strings]
;;;These are argument #1 variables. The CoInstaller uses this to determine the Registry path to use.
;;;This defines whether the parameter is Audio Endpoint data or Endpoint data. It also indicates if this will be a "capture" or "render" data.
;;;The Audio Endpoint data will go in the Registry key "Properties" and The Endpoint data will go in the Registry key "FxProperties"
Render_AudioEndpoint_Flag	= 0
Render_Endpoint_Flag		= 1
Capture_AudioEndpoint_Flag	= 2
Capture_Endpoint_Flag		= 3
Render_Root_Flag		= 4
Capture_Root_Flag		= 5

;;;These are argument #2 variables
PKEY_Endpoint_GFX_CLSID = "{d04e05a6-594b-4fb6-a80d-01af5eed7d1d},2"
PKEY_Endpoint_LFX_CLSID = "{d04e05a6-594b-4fb6-a80d-01af5eed7d1d},1"
PKEY_Endpoint_UI_CLSID = "{d04e05a6-594b-4fb6-a80d-01af5eed7d1d},3"
PKEY_Endpoint_ID = "{A4A2C5A8-D979-4939-B4D5-AA85D6F08162},0"
PKEY_Endpoint_IDII = "{B4A2C5A8-D979-4939-B4D5-AA85D6F08162},0"

SYSFX_UI_CLSID      = "{5860E1C5-F95C-4a7a-8EC8-8AEF24F379A1}"
SYSFX_PREMIX_CLSID  = "{19A120F2-EB17-4913-B7F0-C79704808200}"
SYSFX_POSTMIX_CLSID = "{C21FE761-A4DE-4060-B707-0E0C04808200}"

PKEY_Device_Type = "{34F9EAF0-F3FF-11DD-AC1D-B27C55D89593},0"
OverrideVerbsPath="System\CurrentControlSet\Control\Conexant\OverrideVerbs"
RemVerbsPath="System\CurrentControlSet\Control\Conexant\RemVerbs"

SYSFX_FriendlyName  = "CnxtDSP System Effect"

;;;These are argument #3 variables. These are standard INF values decribing the format type of the Registry value.
REG_DWORD = 0x10001
REG_QUALIFIER = 0x11111111